Permalink
Browse files

Upate Gemfile to be more consistent with other projects

  • Loading branch information...
1 parent 0383791 commit ffa2a22fd95cc6b0e976fb912a2b17d7a702ea7b @dkubb dkubb committed Feb 28, 2011
Showing with 13 additions and 14 deletions.
  1. +13 −14 Gemfile
View
27 Gemfile
@@ -2,43 +2,42 @@ require 'pathname'
source 'http://rubygems.org'
-SOURCE = ENV['SOURCE'] ? ENV['SOURCE'].to_sym : :git
+SOURCE = ENV.fetch('SOURCE', :git).to_sym
REPO_POSTFIX = SOURCE == :path ? '' : '.git'
DATAMAPPER = SOURCE == :path ? Pathname(__FILE__).dirname.parent : 'http://github.com/datamapper'
DM_VERSION = '~> 1.0.2'
-group :runtime do # Runtime dependencies (as in the gemspec)
+group :runtime do
if ENV['EXTLIB']
- gem 'extlib', '~> 0.9.15', SOURCE => "#{DATAMAPPER}/extlib#{REPO_POSTFIX}", :require => nil
+ gem 'extlib', '~> 0.9.15', SOURCE => "#{DATAMAPPER}/extlib#{REPO_POSTFIX}", :require => nil
else
- gem 'i18n', '~> 0.5.0'
gem 'activesupport', '~> 3.0.4', :require => nil
+ gem 'i18n', '~> 0.5.0'
end
- gem 'dm-core', DM_VERSION, SOURCE => "#{DATAMAPPER}/dm-core#{REPO_POSTFIX}"
+ gem 'dm-core', DM_VERSION, SOURCE => "#{DATAMAPPER}/dm-core#{REPO_POSTFIX}"
end
-group(:development) do # Development dependencies (as in the gemspec)
+group :development do
gem 'dm-validations', DM_VERSION, SOURCE => "#{DATAMAPPER}/dm-validations#{REPO_POSTFIX}"
-
+ gem 'jeweler', '~> 1.5.2'
gem 'rake', '~> 0.8.7'
gem 'rspec', '~> 1.3.1'
- gem 'jeweler', '~> 1.5.2'
end
-group :quality do # These gems contain rake tasks that check the quality of the source code
+group :quality do
- gem 'rcov', '~> 0.9.8', :platforms => :mri_18
- gem 'yard', '~> 0.5'
- gem 'yardstick', '~> 0.1'
+ gem 'rcov', '~> 0.9.8', :platforms => :mri_18
+ gem 'yard', '~> 0.5'
+ gem 'yardstick', '~> 0.1'
end
-group :datamapper do # We need this because we want to pin these dependencies to their git master sources
+group :datamapper do
adapters = ENV['ADAPTER'] || ENV['ADAPTERS']
adapters = adapters.to_s.tr(',', ' ').split.uniq - %w[ in_memory ]
@@ -50,7 +49,7 @@ group :datamapper do # We need this because we want to pin these dependencies to
options = {}
options[:git] = "#{DATAMAPPER}/do#{REPO_POSTFIX}" if ENV['DO_GIT'] == 'true'
- gem 'data_objects', DO_VERSION, options.dup
+ gem 'data_objects', DO_VERSION, options.dup
do_adapters.each do |adapter|
adapter = 'sqlite3' if adapter == 'sqlite'

0 comments on commit ffa2a22

Please sign in to comment.